Bug 403 - Reserve process allows duplicate reserves
Summary: Reserve process allows duplicate reserves
Status: VERIFIED LATER
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 1.9.2
Hardware: PC All
: P5 - low normal (vote)
Assignee: Paul Poulain
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-24 10:01 UTC by Owen Leonard
Modified: 2003-11-06 09:51 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-20 23:30:48 UTC


---- Reported by oleonard@myacpl.org 2003-04-24 10:01:27 ----

If the user presses the 'back' button after placing a reserve, a duplicate
reserve can be entered.

After the 'place reserve' button in opac-reserve.pl is pressed the user is
forwarded to opac-user.pl.  At this point the user can click the back button and
then click the 'place reserve' button again.

The solution would be to put another check for duplicates into the process at
this point.



---- Additional Comments From rachel@katipo.co.nz 2003-04-24 11:40:01 ----

Is there a scenario in which someone would want a duplicate reserve?



---- Additional Comments From rosalie@library.org.nz 2003-04-24 11:54:55 ----

People do want duplicate reserves eg library satff who want all copies to make 
some change. And users who want both the April and May copies of X magazine.



---- Additional Comments From rachel@katipo.co.nz 2003-04-24 12:00:56 ----

So is it really a problem?  if someone makes a second reserve, do they go to a 
page that then shows they have 2 reserves?  

I wouldn't like to actually stop people legitimately making more than one 
reserve - but it would be good to make sure they know they've done it, and give 
them the tools to cancel one if they wish to.



---- Additional Comments From oleonard@myacpl.org 2003-04-25 02:39:49 ----

Earlier in the reserve process the patron is blocked from placing a duplicate
reserve.  After clicking a 'request' link in the OPAC, a logged-in patron will
receive a message stating 'You already have a reserve placed on this item'
(default template).

This is with a single-item title (sample data).  If anything, the process should
be consistent.  If it prevents duplicate reserves at the first stage, it should
prevent them at a later stage.

Multiple reservations might be better made a privilege of librarian users.



---- Additional Comments From mjr@ttllp.co.uk 2003-11-06 09:51:51 ----

Hello bug reporter or bugfixer,

Some bugs in koha that were fixed more than six months ago have been marked as
verified. If you are the reporter of this bug, please visit the URL above and
change it to "CLOSED" if the bug has been fixed to your satisfaction, or
"Reopen" if you want us to look at it again.

(Bug fixers, I'm sorry for the message. Please do not close these bugs.
Eventually, I will do them.)

Thanks, MJR.




--- Bug imported by chris@bigballofwax.co.nz 2010-05-20 23:30 UTC  ---

This bug was previously known as _bug_ 403 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=403

Actual time not defined. Setting to 0.0